org.apache.cassandra.db.commitlog

## Class CommitLog.Configuration

- java.lang.Object
- - org.apache.cassandra.db.commitlog.CommitLog.Configuration

Enclosing class:
  CommitLog

    public static final class CommitLog.Configuration
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Configuration(ParameterizedClass compressorClass, EncryptionContext encryptionContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ICompressor` `getCompressor()` Returns the compressor used to compress the segments.
`ParameterizedClass` `getCompressorClass()` Returns the compressor class.
`java.lang.String` `getCompressorName()` Returns the compressor name.
`EncryptionContext` `getEncryptionContext()` Returns the encryption context used to encrypt the segments.
`boolean` `useCompression()` Checks if the segments must be compressed.
`boolean` `useEncryption()` Checks if the segments must be encrypted.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Configuration

    public Configuration(ParameterizedClass compressorClass,
                         EncryptionContext encryptionContext)

### Method Detail

#### useCompression

    public boolean useCompression()

Checks if the segments must be compressed.

Returns:
  `true` if the segments must be compressed, `false` otherwise.

#### useEncryption

    public boolean useEncryption()

Checks if the segments must be encrypted.

Returns:
  `true` if the segments must be encrypted, `false` otherwise.

#### getCompressor

    public ICompressor getCompressor()

Returns the compressor used to compress the segments.

Returns:
  the compressor used to compress the segments

#### getCompressorClass

    public ParameterizedClass getCompressorClass()

Returns the compressor class.

Returns:
  the compressor class

#### getCompressorName

    public java.lang.String getCompressorName()

Returns the compressor name.

Returns:
  the compressor name.

#### getEncryptionContext

    public EncryptionContext getEncryptionContext()

Returns the encryption context used to encrypt the segments.

Returns:
  the encryption context used to encrypt the segments